--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: community
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: pdu
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: version
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: decode
- !ruby/object:RI::MethodSummary 
  name: decode_pdu
- !ruby/object:RI::MethodSummary 
  name: decode_version
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
constants: []

full_name: SNMP::Message
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: encode
- !ruby/object:RI::MethodSummary 
  name: encode_version
- !ruby/object:RI::MethodSummary 
  name: response
name: Message
superclass: Object
